com.tibco.datagrid

## Enum EventType

- java.lang.Object
- - java.lang.Enum<EventType>
  - - com.tibco.datagrid.EventType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<EventType>

      public enum EventType
      extends java.lang.Enum<EventType>

  The enum representing a event type delivered by a tablelistener.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DELETE` A client deleted a row from the table.
    `ERROR` An error occurred in the system that relates to the table.
    `EXPIRED` A row was removed from the table because it expired.
    `INVALID` Default, uninitialized value.
    `PUT` A client put a row into the table.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EventType` | `fromString(java.lang.String typeName)` Get the event type enum from a string representation.
    `static java.lang.String` | `listToString(java.util.Collection<EventType> eventTypeList)` Convert a collection of event types to a string.
    `java.lang.String` | `toString()` Get the string representation of the event type.
    `static EventType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INVALID

          public static final EventType INVALID

      Default, uninitialized value.

    - #### PUT

          public static final EventType PUT

      A client put a row into the table.

    - #### DELETE

          public static final EventType DELETE

      A client deleted a row from the table.

    - #### ERROR

          public static final EventType ERROR

      An error occurred in the system that relates to the table.

    - #### EXPIRED

          public static final EventType EXPIRED

      A row was removed from the table because it expired.

  - ### Method Detail

    - #### values

          public static EventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (EventType c : EventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static EventType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Get the string representation of the event type.
      Overrides:
        `toString` in class `java.lang.Enum<EventType>`
      Returns:
        the corresponding string name for the event type

    - #### fromString

          public static EventType fromString(java.lang.String typeName)

      Get the event type enum from a string representation.
      Parameters:
        `typeName` - The string type name to convert.
      Returns:
        a event type enum

    - #### listToString

          public static java.lang.String listToString(java.util.Collection<EventType> eventTypeList)

      Convert a collection of event types to a string.
      Parameters:
        `eventTypeList` - A collection of EventType objects
      Returns:
        the string of event types. Can be used as the input property when creating a table listener.